Configure a fee External Account
curl --request POST \
--url https://api.bridge.xyz/v0/developer/fee_external_account \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"currency": "usd",
"bank_name": "Wells Fargo",
"account_owner_name": "John Doe",
"account_type": "us",
"account": {
"account_number": "1210002481111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"address": {
"street_line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94102",
"country": "USA"
}
}
'import requests
url = "https://api.bridge.xyz/v0/developer/fee_external_account"
payload = {
"currency": "usd",
"bank_name": "Wells Fargo",
"account_owner_name": "John Doe",
"account_type": "us",
"account": {
"account_number": "1210002481111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"address": {
"street_line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94102",
"country": "USA"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
currency: 'usd',
bank_name: 'Wells Fargo',
account_owner_name: 'John Doe',
account_type: 'us',
account: {
account_number: '1210002481111',
routing_number: '121000248',
checking_or_savings: 'checking'
},
address: {
street_line_1: '123 Main St',
city: 'San Francisco',
state: 'CA',
postal_code: '94102',
country: 'USA'
}
})
};
fetch('https://api.bridge.xyz/v0/developer/fee_external_account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/developer/fee_external_account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'usd',
'bank_name' => 'Wells Fargo',
'account_owner_name' => 'John Doe',
'account_type' => 'us',
'account' => [
'account_number' => '1210002481111',
'routing_number' => '121000248',
'checking_or_savings' => 'checking'
],
'address' => [
'street_line_1' => '123 Main St',
'city' => 'San Francisco',
'state' => 'CA',
'postal_code' => '94102',
'country' => 'USA'
]
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/developer/fee_external_account"
payload := strings.NewReader("{\n \"currency\": \"usd\",\n \"bank_name\": \"Wells Fargo\",\n \"account_owner_name\": \"John Doe\",\n \"account_type\": \"us\",\n \"account\": {\n \"account_number\": \"1210002481111\",\n \"routing_number\": \"121000248\",\n \"checking_or_savings\": \"checking\"\n },\n \"address\": {\n \"street_line_1\": \"123 Main St\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postal_code\": \"94102\",\n \"country\": \"USA\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridge.xyz/v0/developer/fee_external_account")
.header("Idempotency-Key", "<idempotency-key>")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"usd\",\n \"bank_name\": \"Wells Fargo\",\n \"account_owner_name\": \"John Doe\",\n \"account_type\": \"us\",\n \"account\": {\n \"account_number\": \"1210002481111\",\n \"routing_number\": \"121000248\",\n \"checking_or_savings\": \"checking\"\n },\n \"address\": {\n \"street_line_1\": \"123 Main St\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postal_code\": \"94102\",\n \"country\": \"USA\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/developer/fee_external_account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"usd\",\n \"bank_name\": \"Wells Fargo\",\n \"account_owner_name\": \"John Doe\",\n \"account_type\": \"us\",\n \"account\": {\n \"account_number\": \"1210002481111\",\n \"routing_number\": \"121000248\",\n \"checking_or_savings\": \"checking\"\n },\n \"address\": {\n \"street_line_1\": \"123 Main St\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postal_code\": \"94102\",\n \"country\": \"USA\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "fea_123",
"account_type": "us",
"currency": "usd",
"account_owner_name": "John Doe",
"bank_name": "Wells Fargo",
"last_4": "1111",
"active": true,
"beneficiary_address_valid": true,
"account": {
"last_4": "1111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"created_at": "2020-01-01T00:00:00.000Z",
"updated_at": "2020-01-02T00:00:00.000Z"
}Developers
Configure a fee External Account
Configure a fee External Account.
POST
/
developer
/
fee_external_account
Configure a fee External Account
curl --request POST \
--url https://api.bridge.xyz/v0/developer/fee_external_account \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"currency": "usd",
"bank_name": "Wells Fargo",
"account_owner_name": "John Doe",
"account_type": "us",
"account": {
"account_number": "1210002481111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"address": {
"street_line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94102",
"country": "USA"
}
}
'import requests
url = "https://api.bridge.xyz/v0/developer/fee_external_account"
payload = {
"currency": "usd",
"bank_name": "Wells Fargo",
"account_owner_name": "John Doe",
"account_type": "us",
"account": {
"account_number": "1210002481111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"address": {
"street_line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94102",
"country": "USA"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
currency: 'usd',
bank_name: 'Wells Fargo',
account_owner_name: 'John Doe',
account_type: 'us',
account: {
account_number: '1210002481111',
routing_number: '121000248',
checking_or_savings: 'checking'
},
address: {
street_line_1: '123 Main St',
city: 'San Francisco',
state: 'CA',
postal_code: '94102',
country: 'USA'
}
})
};
fetch('https://api.bridge.xyz/v0/developer/fee_external_account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/developer/fee_external_account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'usd',
'bank_name' => 'Wells Fargo',
'account_owner_name' => 'John Doe',
'account_type' => 'us',
'account' => [
'account_number' => '1210002481111',
'routing_number' => '121000248',
'checking_or_savings' => 'checking'
],
'address' => [
'street_line_1' => '123 Main St',
'city' => 'San Francisco',
'state' => 'CA',
'postal_code' => '94102',
'country' => 'USA'
]
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/developer/fee_external_account"
payload := strings.NewReader("{\n \"currency\": \"usd\",\n \"bank_name\": \"Wells Fargo\",\n \"account_owner_name\": \"John Doe\",\n \"account_type\": \"us\",\n \"account\": {\n \"account_number\": \"1210002481111\",\n \"routing_number\": \"121000248\",\n \"checking_or_savings\": \"checking\"\n },\n \"address\": {\n \"street_line_1\": \"123 Main St\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postal_code\": \"94102\",\n \"country\": \"USA\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridge.xyz/v0/developer/fee_external_account")
.header("Idempotency-Key", "<idempotency-key>")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"usd\",\n \"bank_name\": \"Wells Fargo\",\n \"account_owner_name\": \"John Doe\",\n \"account_type\": \"us\",\n \"account\": {\n \"account_number\": \"1210002481111\",\n \"routing_number\": \"121000248\",\n \"checking_or_savings\": \"checking\"\n },\n \"address\": {\n \"street_line_1\": \"123 Main St\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postal_code\": \"94102\",\n \"country\": \"USA\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/developer/fee_external_account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"usd\",\n \"bank_name\": \"Wells Fargo\",\n \"account_owner_name\": \"John Doe\",\n \"account_type\": \"us\",\n \"account\": {\n \"account_number\": \"1210002481111\",\n \"routing_number\": \"121000248\",\n \"checking_or_savings\": \"checking\"\n },\n \"address\": {\n \"street_line_1\": \"123 Main St\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postal_code\": \"94102\",\n \"country\": \"USA\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "fea_123",
"account_type": "us",
"currency": "usd",
"account_owner_name": "John Doe",
"bank_name": "Wells Fargo",
"last_4": "1111",
"active": true,
"beneficiary_address_valid": true,
"account": {
"last_4": "1111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"created_at": "2020-01-01T00:00:00.000Z",
"updated_at": "2020-01-02T00:00:00.000Z"
}Body
application/json
New External Account object to be created
Request body for creating a fee external account. Fee external accounts must use USD currency.
Owner of the account Bank Account (e.g. "John Doe"). For ach, wire, and iban accounts, this field must be at least 3 characters, at most 35 characters, and follow the regex pattern for the given account type:
- ach:
^(?!\s*$)[\x20-\x7E]*$ - wire:
^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$ - iban:
^(?![:\- ]*$)[a-zA-Z0-9\/\-?:().,'+ _]+$
Required string length:
1 - 256Response
External Account object created
US bank account using account and routing numbers for ACH or Wire transfers
Owner of the account Bank Account (e.g. "John Doe"). For ach, wire, and iban accounts, this field must be at least 3 characters, at most 35 characters, and follow the regex pattern for the given account type:
- ach:
^(?!\s*$)[\x20-\x7E]*$ - wire:
^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$ - iban:
^(?![:\- ]*$)[a-zA-Z0-9\/\-?:().,'+ _]+$
Required string length:
1 - 256Was this page helpful?